KiwiMuzzer
Contributor
Contributor

Horizon client wont upgrade from 8.3.0 (2106) to 8.5.0 (2203)

Trying to upgrade my Horizon client , but i get the following error "Setup cannot continue. This product is not supported on this processor"  .  Im currently on 8.3.0 but want to go to 8.5.0 , im using the update function within the client,   My laptop has a i7 core and is  running latest Windows 10 21H2  , the release notes say that configuration is all supported .  I cant find any doco referencing what underlying hardware is supported or any restrictions .  What does that error message mean ? is there a list of supported laptop/desktop processor types and if so why would that change given its just a subversion upgrade 

0 Kudos
8 Replies
EmilianW1
Enthusiast
Enthusiast

Hi @KiwiMuzzer ,

Uninstall Horizon Client ver. 8.3, remove Microsoft Visual C++ components and then install Horizon Client 8.5.

EmilianW1_0-1656672961541.png

 

0 Kudos
KiwiMuzzer
Contributor
Contributor

Thanks . Is it Uninstall all of the C++ redistributables ? or just that one ,  Wont this impact the other applications i have using those components ?  and if i reinstall 8.5.0 will that re-instate the C++ library ?    , any background as to why i need to do this , eg what is its association with "unsupported processor" and why is it triggered on a upgrade of same major version

0 Kudos
EmilianW1
Enthusiast
Enthusiast

Hi @KiwiMuzzer ,

Check which C++ comes with Horizon Client 8.3 (fresh install on different PC or VM) and remove that one. Yes, it might affect other applications but if it does you can always install it back (record version of C++ before uninstalling it).

0 Kudos
KiwiMuzzer
Contributor
Contributor

Thanks,  Gave it a shot , hopefully i removed the correct one , i reinstalled the latest from the microsoft cpp download site , covering 2015-2022 .   Rebooted etc , Updated Horizon, restarted client but unfortunately same error 😞   .  May do a complete uninstall of horizon and the cpp redistributable and start from scratch to see if any better luck

0 Kudos
baochen1
VMware Employee
VMware Employee

VMware has dropped x86 Windows support. The error comes when the installer thought it is running on x86 Windows. If it is not true, could you share the installer logs to us?

0 Kudos
KiwiMuzzer
Contributor
Contributor

Not sure i understand , did you mean the full x86 architecture or just 32 bit as opposed to 64bit  ?  would be weird to do this at a subversion level .  I can confirm my laptop processor and OS fully supports 64bit . And 64bit is the only install option for version 8 .

I am aware that 32bit was dropped at version 8 (https://blogs.vmware.com/euc/2021/03/an-update-on-vmware-horizon-32-bit-support.html) , but im already successfully on version 8 (8.3.0) running 64bit so that cant be the issue .  

Do you have a link referring to processor drops at 8.5 , as i cant find any references.

As an aside im also sucesssfully running 8.5.1 on a 2013 Macbook Air , that has intel x86 architecture under the covers

0 Kudos
baochen1
VMware Employee
VMware Employee

Sorry, I mean 32-bit Windows is dropped.

Could you find the client installer log (VMware_Horizon_Client_xxxxx.log) under "C:\ProgramData\VMware\logs\" and search "IsSupportedArch"? The log will indicate why the installation is blocked.

KiwiMuzzer
Contributor
Contributor

8.5.0 was no longer an option so tried the 8.6 version , same result but a different error, now explicitly says "the installation requires to run on a 64bit system for this processor" so you were on the money .   Though doesn't actually help me .  Still no reason as to why now as opposed to the earlier 8.x versions .   It may also be misleading , as it means 64bit OS as opposed to 64bit processor , as i am running 32bit windows 10 on 64bit processors . VMWARE should be alot clearer as to what is minimum spec and also indicate any changes in that in the release notes , as only mention was back at first 8.x version , yet 8.3.0 works perfectly well on 32bit OS . 

Dont really want to swap out my perfectly good 32bit OS for the 64bit OS , thats alot of hassle just to upgrade a minor version of Horizon Client

Oh well, looks like im stuck on 8.3.0 until next laptop swap , maybe a few years away ....  Will thus stick with using my MacBook Air until it too succumbs to a version support issue .

Thanks Baochen1 for taking a look .  FYI no mention of isSupportedArch in the logs in that folder  ,  also last reinstall to 8.6 also didnt seem to create any logs , only ones i found were in a VDM sub folder , and it indicated i couldnt open them (probably wasnt admin elevated , or were locked by app), gave up at that point.

0 Kudos